StocksAndFisheriesKB - Bug #16377

Citation template does not match current citation
Mar 27, 2019 12:13 PM - Aureliano Gentile

Status: Closed Start date: Apr 11, 2064
Priority: Normal Due date:

Assignee: Yannis Marketakis % Done: 100%
Category: Estimated time: 0.00 hour
Target version: GRSF

Description

Citation template for GRSF records
© [Copyright holder]. [Title]. ([Year]). In: Global Record of Stocks and Fisheries (GRSF). [Publisher]. Version: [Version]. Updated
[Update date]. [Date accessed and/or downloaded [Access date]]. [GRSF Record URL].

Database sources: [Database sources].
Sources citations: [Citations to the database sources]

Considering this example http://data.d4science.org/ctlg/GRSF_Admin/fda70016-3ebc-3c56-8894-3f2e9d542{2b
the citation reads:

Copyright holder 2019. Consiglio Nazionale delle Ricerche, CNR. Version: 1.0 Updated: February 13, 2019. Accessed: [Date
accessed and/or downloaded]. http://data.d4science.org/ctlg/GRSF_Admin/fda70016-3ebc-3¢c56-8894-3f2e9d542f2b [RAM]
Therefore, the following should be update as follows:
e [Copyright holder] = D4Science.org
e [Title] = Add GRSF title which is currently missing
¢ ([Year]). = | believe you do not have this information, so can leave empty for the time being not displaying anything for this
¢ "Database sources:" = this fixed label is missing before the name(s) of the source(s) (FIRMS, RAM, FishSource)

| have also updated the googledoc
https://docs.google.com/document/d/1W7-GSTLFL28bZ8ejJC308Bi47kWIvvPCNCg5HCVVOSE/edit?usp=sharing

Related issues:

Related to StocksAndFisherieskKB - Bug #16395: GRSF record titles are not updated Closed Mar 28, 2019
Related to StocksAndFisherieskKB - Bug #12421: Accented words are not properly... Closed Sep 07, 2018
Follows StocksAndFisherieskB - Task #16441: Update all Records in GRSF (Admin... Closed Apr 10, 2064
History

#1 - Mar 29, 2019 09:52 AM - Yannis Marketakis
- Status changed from New to In Progress

- % Done changed from 0 to 20

Thanks for the update.
| carried out some updates and this is what we're delivering.
@aureliano.gentile@fao.org let me know if it is OK.

© D4Science.org. Consiglio Nazionale delle Ricerche, CNR. Version: 1.0. Updated: March 29, 2019. Accessed: [Date accessed and/or
downloaded]. http://data.d4science.org/ctlg/GRSF_Admin/883a3b1d-2041-3a1c-9303-8dc09a3b2919. Database sources: [FIRMS, FishSource]

#2 - Apr 02,2019 11:11 AM - Aureliano Gentile

Dear Yannis, thanks a lot.
But please note that the title [Title]. is still missing in the above proposal.
#3 - Apr 02, 2019 02:31 PM - Yannis Marketakis
Thanks for the feedback. You are right. The updated citation is

© D4Science.org. Nephrops norvegicus Northern North Sea (Division 27.4.a). Consiglio Nazionale delle Ricerche, CNR. Version: 1.0. Updated:
April 02, 2019. Accessed: [Date accessed and/or downloaded].
http://data.d4science.org/ctlg/GRSF_Admin/883a3b1d-2041-3a1¢-9303-8dc09a3b2919. Database sources: [FIRMS, FishSource]

#4 - Apr 02, 2019 03:13 PM - Aureliano Gentile

Sorry, | see now it is missing
In: Global Record of Stocks and Fisheries (GRSF).

© D4Science.org. Nephrops norvegicus Northern North Sea (Division 27.4.a). In: Global Record of Stocks and Fisheries (GRSF). Consiglio
Nazionale delle Ricerche, CNR. Version: 1.0. Updated: April 02, 2019. Accessed: [Date accessed and/or downloaded].

http://data.d4science.org/ctlg/GRSF_Admin/883a3b1d-2041-3a1¢-9303-8dc09a3b2919. Database sources: [FIRMS, FishSource]

#5 - Apr 02, 2019 03:52 PM - Yannis Marketakis
- % Done changed from 20 to 60
I've included that as well.

I've updated one record in GRSF ADMIN so you can see the citation at
http://data.d4science.org/ctlg/GRSF_Admin/883a3b1d-2041-3a1¢-9303-8dc09a3b2919

As soon as we resolve other issues (i.e. #16395, #12421) I'll update all the GRSF records (and the ones in GRSF Public VRE)

#6 - Apr 02, 2019 03:53 PM - Yannis Marketakis
- Related to Bug #16395: GRSF record titles are not updated added

#7 - Apr 02, 2019 03:53 PM - Yannis Marketakis
- Related to Bug #12421: Accented words are not properly displayed in the "short name" field and in other fields added

#8 - Apr 03, 2019 12:05 PM - Yannis Marketakis
- Follows Task #16441: Update all Records in GRSF (Admin and Public VREs) added

#9 - Apr 09, 2019 10:57 AM - Yannis Marketakis
- Status changed from In Progress to Feedback

- % Done changed from 60 to 100

All the GRSF records have been updated in GRSF Admin.
As a result the citation should have been updated for all of them.

#10 - May 19, 2022 10:36 AM - Aureliano Gentile
- File citation_19may2022.png added

- Status changed from Feedback to In Progress

Citation seems fine now. E.g. https://i-marine.d4science.org/group/grsf_admin/data-catalogue?path=/dataset/48be89b1-40ed-3ffd-9e0d-70ffeaed08b8
However the "Date accessed" is still not working. See attached screenshot.

#11 - May 19, 2022 01:52 PM - Yannis Marketakis

If | remember correctly, this indicates the date that the record is accessed in the catalog.
It was supposed to be a dynamic attribute that will be generated by the catalogue when the record was visualized.
Am | correct? Do you remember something else?

#12 - May 19, 2022 02:05 PM - Aureliano Gentile

Yes, it is today's date.
Nothing more that that, you cite a page indicating when you accessed it...(that is today)! ;-)
#13 - May 19, 2022 02:29 PM - Yannis Marketakis

This is something to be handled by the catalogue itself, not by the service publishing the records.
@francesco.mangiacrapa@isti.cnr.it is that possible?

#14 - May 20, 2022 11:02 AM - Francesco Mangiacrapa

- File Citation_Screenshot from 2022-05-20 10-50-00.png added

- Status changed from In Progress to Feedback

- Assignee changed from Yannis Marketakis to Francesco Mangiacrapa

- % Done changed from 90 to 100

Hi all,

| confirm that the "Citation" facility/button (handled by the catalogue itself) takes the Citation field displayed in the record and replaces the
part/placeholder "[Date accessed and/or downloaded]" with the current date.

On my side, the facility works as expected (see the attached screenshot). Tested on Firefox and Chrome.
If the problem persists, could you try with a hard refresh of the page? Thanks.
Let me know...

#15 - May 20, 2022 11:21 AM - Aureliano Gentile

Thanks Fracesco, now | understand the issue. The Citation works fine from the "Button" while the today's date is not generated in the CKan record
page (as per my previous screenshot). But indeed, if complex to fix it is not a big issue, so we can close this ticket.

#16 - May 20, 2022 03:17 PM - Francesco Mangiacrapa

- Assignee changed from Francesco Mangiacrapa to Yannis Marketakis
Aureliano Gentile wrote in #note-15:
Thanks Fracesco, now | understand the issue. The Citation works fine from the "Button" while the today's date is not generated in the CKan
record page (as per my previous screenshot). But indeed, if complex to fix it is not a big issue, so we can close this ticket.
Hi @aureliano.gentile@fao.org,
this is not a bug, but a requirement "approved" in the past (see https://support.d4science.org/issues/10960#note-6). In my opinion, the button
"Citation" implemented is a good and explicit facility/functionality to cite a GRSF Record.

Instead, | think the "Citation" field presented (as is) in the Catalogue/CKAN record page may be hidden (by the Catalogue itself), maintaining visible
(only) the "Citation" button, and allowing the user to cite a GRSF Record only via "an explicit action" (so by clicking on) the "Citation" button.

Now, if my suggestion is:

e "good" - please you open a new ticket for the activity;
e "pbad" - you can close this ticket.

Regards, F.

#17 - Jun 03, 2022 02:50 PM - Francesco Mangiacrapa
- Status changed from Feedback to Closed

Dear all,

as reported in the previous comment, the Catalogue template displays the citation field with the message containing the placeholder "[Date accessed
and/or downloaded]" that is replaced with the current time (and shown into a Pop-up to the user) by clicking on the "Citation" button. This use case is
an expected behaviour, and it was a "defined/approved" requirement in the past. If we want to change this behaviour, it will be discussed and a new
enhancement ticket opened in the future.

#18 - Jun 09, 2022 03:05 PM - Aureliano Gentile

Thanks Francesco for the detailed explanations, | think can stay as it is for now as at the moment we do have other priorities for the GRSF. This can
be considered a minor issue and | agree this ticket is closed.
citation_19may2022.png 51.6 KB May 19, 2022 Aureliano Gentile
Citation_Screenshot from 2022-05-20 10-50-00.png 255 KB May 20, 2022 Francesco Mangiacrapa
